GH-ISSUE-CREATE(1)

NAME

gh-issue-create - Create a new issue

SYNOPSIS

gh issue create [flags]

DESCRIPTION

Create an issue on GitHub.

Adding an issue to projects requires authorization with the "project" scope. To authorize, run "gh auth refresh -s project".

OPTIONS

-a, --assignee <login>
    Assign people by their login. Use "@me" to self-assign.

-b, --body <string>
    Supply a body. Will prompt for one otherwise.

-F, --body-file <file>
    Read body text from file (use "-" to read from standard input)

-l, --label <name>
    Add labels by name

-m, --milestone <name>
    Add the issue to a milestone by name

-p, --project <name>
    Add the issue to projects by name

--recover <string>
    Recover input from a failed run of create

-t, --title <string>
    Supply a title. Will prompt for one otherwise.

-w, --web
    Open the browser to create an issue

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXAMPLE

    $ gh issue create --title "I found a bug" --body "Nothing works"
    $ gh issue create --label "bug,help wanted"
    $ gh issue create --label bug --label "help wanted"
    $ gh issue create --assignee monalisa,hubot
    $ gh issue create --assignee "@me"
    $ gh issue create --project "Roadmap"

SEE ALSO

gh-issue(1)